Subject: bug#10477: zap-to-char should allow picking from history

From: Juri Linkov <[email-masked]>
Date: Mon, 28 Oct 2019 00:34:55 +0200

>>> I've now implemented this in Emacs 27 -- it was more code than expected,
>>> so perhaps simple.el isn't the right place for it.  On the other hand,
>>> `zap-to-char' is there, so perhaps that's the right place for it?
>>
>> I tried typing the up arrow, but it fails with the error
>> "Non-character input-event".  Is this intentional?
>
> That's the way the command has always worked, so I didn't change that.

I tried the up arrow because this is what OP asked to implement:

  "zap-to-char should allow typing e.g., the up arrow to pick a recently used
   character, and then RET."

Using read-from-minibuffer would allow this for free.